Skip to main content
Server path: /okta-groups | Type: Application | PCID required: Yes

Tools

ToolDescription
okta-groups_activate_group_ruleActivate a group rule
okta-groups_add_groupAdd a group
okta-groups_assign_group_ownerAssign a group owner
okta-groups_assign_user_to_groupAssign a user to a group
okta-groups_create_group_ruleCreate a group rule
okta-groups_deactivate_group_ruleDeactivate a group rule
okta-groups_delete_groupDelete a group
okta-groups_delete_group_ownerDelete a group owner
okta-groups_delete_group_ruleDelete a group rule
okta-groups_get_groupRetrieve a group
okta-groups_get_group_ruleRetrieve a group rule
okta-groups_list_assigned_applications_for_groupList all assigned apps
okta-groups_list_group_ownersList all group owners
okta-groups_list_group_rulesList all group rules
okta-groups_list_group_usersList all member users
okta-groups_list_groupsList all groups
okta-groups_replace_groupReplace a group
okta-groups_replace_group_ruleReplace a group rule
okta-groups_unassign_user_from_groupUnassign a user from a group

okta-groups_activate_group_rule

Activate a group rule Parameters:
ParameterTypeRequiredDefaultDescription
groupRuleIdstringYesThe id of the group rule

okta-groups_add_group

Add a group Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesRequest body

okta-groups_assign_group_owner

Assign a group owner Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
idstringNoThe id of the group owner
typestringNoThe entity type of the owner

okta-groups_assign_user_to_group

Assign a user to a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
userIdstringYesID of an existing Okta user

okta-groups_create_group_rule

Create a group rule Parameters:
ParameterTypeRequiredDefaultDescription
actionsobjectNoDefines which users and groups to assign
conditionsobjectNoDefines group rule conditions
namestringNoName of the group rule
typestringNoThe type value

okta-groups_deactivate_group_rule

Deactivate a group rule Parameters:
ParameterTypeRequiredDefaultDescription
groupRuleIdstringYesThe id of the group rule

okta-groups_delete_group

Delete a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group

okta-groups_delete_group_owner

Delete a group owner Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
ownerIdstringYesThe id of the group owner

okta-groups_delete_group_rule

Delete a group rule Parameters:
ParameterTypeRequiredDefaultDescription
groupRuleIdstringYesThe id of the group rule
removeUsersbooleanNoIf set to true, removes users from groups assigned by this rule

okta-groups_get_group

Retrieve a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group

okta-groups_get_group_rule

Retrieve a group rule Parameters:
ParameterTypeRequiredDefaultDescription
groupRuleIdstringYesThe id of the group rule
expandstringNoIf specified, returns the mapping of group IDs to group names in the _embedded object.

okta-groups_list_assigned_applications_for_group

List all assigned apps Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
afterstringNoSpecifies the pagination cursor for the next page of apps
limitintegerNoSpecifies the number of app results for a page

okta-groups_list_group_owners

List all group owners Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
searchstringNoSCIM filter expression for group owners. Allows you to filter owners by type.
afterstringNoSpecifies the pagination cursor for the next page of owners
limitintegerNoSpecifies the number of owner results in a page

okta-groups_list_group_rules

List all group rules Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoSpecifies the number of rule results in a page
afterstringNoSpecifies the pagination cursor for the next page of rules
searchstringNoSpecifies the keyword to search rules for
expandstringNoIf specified, returns the mapping of group IDs to group names in the _embedded object.

okta-groups_list_group_users

List all member users Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
afterstringNoThe cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.
limitintegerNoSpecifies the number of user results in a page

okta-groups_list_groups

List all groups Parameters:
ParameterTypeRequiredDefaultDescription
searchstringNoSearches for groups with a supported filtering expression for all properties except for _embedded, _links, and objectClass. Okta recommends this query parameter because it provides the largest range of search options and optimal performance. This operation supports pagination. The search string requires URL encoding. For example, search=type eq "OKTA_GROUP" is encoded as search=type+eq+%22OKTA_GROUP%22. This operation searches many properties: * Any group profile attribute, including imported app group profile attributes. * The top-level properties: id, created, lastMembershipUpdated, lastUpdated, and type. * The source of groups with type of APP_GROUP, accessed as source.id. You can also use the sortBy and sortOrder parameters. Searches for groups can be filtered by the following operators: sw, eq, and co. You can only use co with these select profile attributes: profile.name and profile.description. See Operators.
filterstringNoFilter expression for groups. See Filter. Filtering supports the following limited number of properties: id, type, lastUpdated, and lastMembershipUpdated. > Note: All filters must be URL encoded. For example, filter=lastUpdated gt "2013-06-01T00:00:00.000Z" is encoded as filter=lastUpdated%20gt%20%222013-06-01T00:00:00.000Z%22. See Special characters.
qstringNoFinds a group that matches the name property. > Note: Paging and searching are currently mutually exclusive. You can’t page a query. The default limit for a query is 300 results. Query is intended for an auto-complete picker use case where users refine their search string to constrain the results.
afterstringNoSpecifies the pagination cursor for the next page of groups. The after cursor should be treated as an opaque value and obtained through the next link relation. See Pagination.
limitintegerNoSpecifies the number of group results in a page. Okta recommends using a specific value other than the default or maximum. If your request times out, retry your request with a smaller limit and page the results. The Okta default Everyone group isn’t returned for users with a group admin role.
expandstringNoIf specified, additional metadata is included in the response. Possible values are stats and app. This additional metadata is listed in the _embedded property of the response. > Note: You can use the stats value to return the number of users within a group. This is listed as the _embedded.stats.usersCount value in the response. See this Knowledge Base article for more information and an example.
sortBystringNoSpecifies the field to sort by (for search queries only). sortBy can be any single property, for example sortBy=profile.name. Groups with the same value for the sortBy property are ordered by id’. Use with sortOrder to control the order of results.
sortOrderstringNoSpecifies sort order: asc or desc (for search queries only). This parameter is ignored if sortBy isn’t present.

okta-groups_replace_group

Replace a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
bodyobjectYesRequest body

okta-groups_replace_group_rule

Replace a group rule Parameters:
ParameterTypeRequiredDefaultDescription
groupRuleIdstringYesThe id of the group rule
_embeddedobjectNoThis object appears with embedded resources related to the group rule if you use the expand query parameter
actionsobjectNoDefines which users and groups to assign
conditionsobjectNoDefines group rule conditions
createdstringNoCreation date for group rule
idstringNoID of the group rule
lastUpdatedstringNoDate group rule was last updated
namestringNoName of the group rule
statusstringNoStatus of group rule. You can’t update the status of a rule from INACTIVE to ACTIVE. You must use the activate and deactivate lifecycle operations.
typestringNoType to indicate a group rule operation. Only group_rule is allowed.

okta-groups_unassign_user_from_group

Unassign a user from a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe id of the group
userIdstringYesID of an existing Okta user